Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_LockObjectSelector

    java.lang.Object
      oracle.ifs.server.S_LibraryObjectSelector
          oracle.ifs.server.S_SystemObjectSelector
              oracle.ifs.server.S_LockObjectSelector

Direct Known Subclasses:
  S_SystemLockObjectSelector

    public class S_LockObjectSelector

extends S_SystemObjectSelector

The S_LockObjectSelector class

See Also:
  `S_LibraryService`, `S_LibrarySession`
(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.server.S_LibraryObjectSelector
`m_ClassId, m_IdSortSpecification, m_NameSortSpecification, m_Session`

Constructor Summary
`protected` | `S_LockObjectSelector(S_LibrarySession session, java.lang.Long classId)` Construct a S_LockObjectSelector object.

Method Summary
`protected LibraryQueryStatement` | `getLockExpiredSelectStatement(LibraryConnection lconn, java.sql.Connection conn)` Get the prepared statement for expired locks
`protected S_LibraryObjectCursor` | `selectCursorAllExpiredLocks(int qoffset)` Get the cursor for a select of expired locks.
`protected java.util.Vector` | `selectExpiredLocks(int maxItems, int offset)` Find locks that have timed out.

Methods inherited from class oracle.ifs.server.S_LibraryObjectSelector
`closeCursor, ensureDefaultClass, findObjectById, generateStatementName, generateStatementName, generateStatementName, generateStatementName, getClassData, getClassId, getClassName, getComplexQueryStatement, getCountFromResultSet, getIdSortSpecification, getNameSortSpecification, getResourceString, getService, getSimpleCountQueryStatement, getSimpleQueryStatement, getStatementSuffix, nextItem, selectAllObjects, selectArrayReferencingObjects, selectArrayReferencingObjectsCount, selectArrayReferencingObjectsCursor, selectCount, selectCount, selectObjectById, selectObjects, selectObjects, selectObjects, selectObjects, selectObjectsByMasterId, selectObjectsByStringAttribute, selectObjectsCountByMasterId, selectObjectsCursor, selectObjectsCursorByMasterId, selectObjectsCursorByStringAttribute, selectObjectsExistByMasterId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### S_LockObjectSelector

    protected S_LockObjectSelector(S_LibrarySession session,
                                   java.lang.Long classId)
                            throws IfsException

  Construct a S_LockObjectSelector object. This is the standard variant.

  Parameters:
    `session` - current LibrarySession
    `classId` - class Id this selector is servicing
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### selectExpiredLocks

    protected java.util.Vector selectExpiredLocks(int maxItems,
                                                  int offset)
                                           throws IfsException

  Description copied from class: `S_LockObjectSelector`
  Find locks that have timed out.

  Parameters:
    `maxItems` - the maximum number of items to return; a value of 0 indicates unlimited
  Returns:
    vector of S_LibraryObjectData
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### selectCursorAllExpiredLocks

    protected S_LibraryObjectCursor selectCursorAllExpiredLocks(int qoffset)
                                                         throws IfsException

  Description copied from class: `S_LockObjectSelector`
  Get the cursor for a select of expired locks.

  Parameters:
    `qoffset` - offset to be used in the query for expired locks
  Returns:
    the cursor
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getLockExpiredSelectStatement

    protected LibraryQueryStatement getLockExpiredSelectStatement(LibraryConnection lconn,
                                                                  java.sql.Connection conn)
                                                           throws IfsException

  Description copied from class: `S_LockObjectSelector`
  Get the prepared statement for expired locks

  Parameters:
    `lconn` - the iFS Connection
    `conn` - the JDBC Connection
  Returns:
    the statement
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD